Skip to content

List activity for an organization

GET
/organizations/{oid}/activity
curl --request GET \
--url https://apisandbox.puurk.com/organizations/example/activity \
--header 'Authorization: Bearer <token>'

Returns a paginated activity timeline for an organization

oid
required
string

Organization ID

cursor
string

Pagination cursor

limit
integer

Number of results to return

Successful operation

Media typeapplication/json
object
data
Array<object>
object
id
string
oid

Organization ID

string
eid

Employee/entity ID

string
client_id

Client (lead) ID

string
location_id
string
type

Type of activity notification

string
Allowed values: offer_accepted offer_declined offer_paid_in_full offer_shared offer_viewed contract_signed contract_fulfilled contract_cancelled payment_succeeded payment_declined payment_refunded payment_returned payment_reminder payout_initiated
category
string
Allowed values: offer contract payment payout
reference_id

ID of the referenced entity (offer, contract, payment, etc.)

string
timestamp
string format: date-time
uid
string
title
string
description
string
metadata
object
key
additional properties
any
related_uids
Array<string>
pagination
object
limit

Page size used for this response

integer
hasMore

Whether more results are available

boolean
nextCursor

Cursor for the next page, null when no more results

string
nullable
Example
{
"data": [
{
"type": "offer_accepted",
"category": "offer"
}
]
}

Unauthorized